Changeset 2198


Ignore:
Timestamp:
Feb 1, 2016 11:31:08 PM (3 years ago)
Author:
tkr
Message:

Re-running the autotools with updated coin.m4

Location:
trunk
Files:
4 edited

Legend:

Unmodified
Added
Removed
  • trunk/Clp/Makefile.in

    r2133 r2198  
    938938            doxygen doxydoc/doxygen.conf;\
    939939          fi;\
     940        fi
     941
     942pdf-doxygen-docs: doxygen-docs
     943        if test "$(COIN_HAS_DOXYGEN)" = TRUE; then \
    940944          if test -d "doxydoc/latex"; then \
    941945            if test "$(COIN_HAS_LATEX)" = TRUE; then \
     
    956960        if test "$(COIN_HAS_DOXYGEN)" = TRUE; then \
    957961          if test -d "doxydoc/"; then \
     962            test -d "$(DESTDIR)$(DocInstallDir)/doxydoc" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)/doxydoc"; \
    958963            $(INSTALL_DATA) @coin_doxy_tagname@ "$(DESTDIR)$(DocInstallDir)/@coin_doxy_tagname@";\
    959             test -d "$(DocInstallDir)/doxydoc" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)/doxydoc"; \
    960964            if test -f "doxydoc/latex/refman.pdf"; then \
    961965              $(INSTALL_DATA) doxydoc/latex/refman.pdf "$(DESTDIR)$(DocInstallDir)";\
    962966            fi;\
    963967            if test -d "doxydoc/html"; then \
    964               test -d "$(DocInstallDir)/doxydoc/search/" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)/doxydoc/search/"; \
     968              test -d "$(DESTDIR)$(DocInstallDir)/doxydoc/search/" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)/doxydoc/search/"; \
    965969              $(INSTALL_DATA) doxydoc/html/*.* "$(DESTDIR)$(DocInstallDir)/doxydoc";\
    966970              $(INSTALL_DATA) doxydoc/html/search/*.* "$(DESTDIR)$(DocInstallDir)/doxydoc/search";\
  • trunk/Clp/configure

    r2130 r2198  
    40894089fi
    40904090
    4091 # correct the LD variable in a build with MS or intel compiler
     4091# correct the LD variable in a build with MS or Intel-windows compiler
    40924092case "$CXX" in
    40934093  clang* ) ;;
     
    2028320283    *-mingw*)
    2028420284      CYGPATH_W=echo
    20285       mydos2unix=
    2028620285      ;;
    2028720286  esac
     
    2492924928
    2493024929# Provide some information about the compiler.
    24931 echo "$as_me:24931:" \
     24930echo "$as_me:24930:" \
    2493224931     "checking for Fortran 77 compiler version" >&5
    2493324932ac_compiler=`set X $ac_compile; echo $2`
     
    2537125370
    2537225371# correct the LD variable if we use the intel fortran compiler in windows
    25373 case "$F77" in
    25374   ifort* | */ifort* | IFORT* | */IFORT*)
    25375     LD=link
    25376     ;;
     25372case $build in
     25373  *-cygwin* | *-mingw*)
     25374    case "$F77" in
     25375      ifort* | */ifort* | IFORT* | */IFORT*)
     25376        LD=link
     25377      ;;
     25378    esac
     25379  ;;
    2537725380esac
    2537825381
     
    2543725440ac_save_FFLAGS=$FFLAGS
    2543825441FFLAGS="$FFLAGS $ac_verb"
    25439 (eval echo $as_me:25439: \"$ac_link\") >&5
     25442(eval echo $as_me:25442: \"$ac_link\") >&5
    2544025443ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2544125444echo "$ac_f77_v_output" >&5
     
    2551525518ac_save_FFLAGS=$FFLAGS
    2551625519FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    25517 (eval echo $as_me:25517: \"$ac_link\") >&5
     25520(eval echo $as_me:25520: \"$ac_link\") >&5
    2551825521ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2551925522echo "$ac_f77_v_output" >&5
  • trunk/Makefile.in

    r2089 r2198  
    114114COIN_CXX_IS_CL_FALSE = @COIN_CXX_IS_CL_FALSE@
    115115COIN_CXX_IS_CL_TRUE = @COIN_CXX_IS_CL_TRUE@
     116COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
     117COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
     118COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
     119COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    116120COIN_SKIP_PROJECTS = @COIN_SKIP_PROJECTS@
    117121CPP = @CPP@
     
    211215coin_doxy_usedot = @coin_doxy_usedot@
    212216coin_have_doxygen = @coin_have_doxygen@
     217coin_have_latex = @coin_have_latex@
    213218datadir = @datadir@
    214219exec_prefix = @exec_prefix@
     
    256261DISTCLEANFILES = coin_subdirs.txt $(am__append_2) \
    257262        $(VPATH_DISTCLEANFILES)
    258 DocFiles = README AUTHORS LICENSE
     263DocFiles = README AUTHORS LICENSE 
    259264DocInstallDir = $(datadir)/coin/doc/$(PACKAGE_NAME)
     265COIN_HAS_DOXYGEN = @COIN_HAS_DOXYGEN_TRUE@TRUE
     266COIN_HAS_LATEX = @COIN_HAS_LATEX_TRUE@TRUE
    260267all: all-recursive
    261268
     
    733740.PHONY: test unitTest tests unitTests doxydoc
    734741
    735 install-doc: $(DocFiles)
     742doxygen-docs:
     743        if test "$(COIN_HAS_DOXYGEN)" = TRUE; then \
     744          if test -d "doxydoc/"; then \
     745            doxygen doxydoc/doxygen.conf;\
     746          fi;\
     747        fi
     748
     749pdf-doxygen-docs: doxygen-docs
     750        if test "$(COIN_HAS_DOXYGEN)" = TRUE; then \
     751          if test -d "doxydoc/latex"; then \
     752            if test "$(COIN_HAS_LATEX)" = TRUE; then \
     753              cd doxydoc/latex;\
     754              $(MAKE) pdf;\
     755              cd -;\
     756            fi;\
     757          fi;\
     758        fi
     759
     760clean-doxygen-docs:
     761        if test -d "doxydoc/"; then \
     762          cd doxydoc ;\
     763          rm -rf html latex *.log *.tag;\
     764        fi
     765
     766install-doxygen-docs: doxygen-docs
     767        if test "$(COIN_HAS_DOXYGEN)" = TRUE; then \
     768          if test -d "doxydoc/"; then \
     769            test -d "$(DESTDIR)$(DocInstallDir)/doxydoc" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)/doxydoc"; \
     770            $(INSTALL_DATA) @coin_doxy_tagname@ "$(DESTDIR)$(DocInstallDir)/@coin_doxy_tagname@";\
     771            if test -f "doxydoc/latex/refman.pdf"; then \
     772              $(INSTALL_DATA) doxydoc/latex/refman.pdf "$(DESTDIR)$(DocInstallDir)";\
     773            fi;\
     774            if test -d "doxydoc/html"; then \
     775              test -d "$(DESTDIR)$(DocInstallDir)/doxydoc/search/" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)/doxydoc/search/"; \
     776              $(INSTALL_DATA) doxydoc/html/*.* "$(DESTDIR)$(DocInstallDir)/doxydoc";\
     777              $(INSTALL_DATA) doxydoc/html/search/*.* "$(DESTDIR)$(DocInstallDir)/doxydoc/search";\
     778            fi;\
     779          fi;\
     780        fi
     781
     782uninstall-doxygen-docs:
     783        if test -d "$(DESTDIR)$(DocInstallDir)/doxydoc/"; then \
     784          rm -rf "$(DESTDIR)$(DocInstallDir)/doxydoc/"; \
     785        fi
     786        if test -f "$(DESTDIR)$(DocInstallDir)/refman.pdf"; then \
     787          rm -f "$(DESTDIR)$(DocInstallDir)/refman.pdf"; \
     788        fi
     789
     790all-doxygen-docs:
     791        for dir in $(subdirs) ; do \
     792          do_project=true;\
     793          for proj in $(COIN_SKIP_DOXYGEN); do\
     794            if test $$dir = $$proj; then\
     795              do_project=false;\
     796            fi;\
     797          done;\
     798          if test -r $$dir/doxydoc & $$do_project = true; then \
     799            (cd $$dir ; $(MAKE) doxygen-docs) \
     800          fi ; \
     801        done ;
     802
     803clean-all-doxygen-docs:
     804        for dir in $(subdirs) ; do \
     805          if test -r $$dir/doxydoc ; then \
     806            (cd $$dir ; $(MAKE) clean-doxygen-docs) \
     807          fi ; \
     808        done ;
     809
     810install-all-doxygen-docs: all-doxygen-docs
     811        for dir in $(subdirs) ; do \
     812          do_project=true;\
     813          for proj in $(COIN_SKIP_DOXYGEN); do\
     814            if test $$dir = $$proj; then\
     815              do_project=false;\
     816            fi;\
     817          done;\
     818          if test -r $$dir/doxydoc & $$do_project = true; then \
     819            (cd $$dir ; $(MAKE) install-doxygen-docs) \
     820          fi ; \
     821        done ;
     822
     823uninstall-all-doxygen-docs:
     824        for dir in $(subdirs) ; do \
     825          if test -r $$dir/doxydoc ; then \
     826            (cd $$dir ; $(MAKE) uninstall-doxygen-docs) \
     827          fi ; \
     828        done ;
     829
     830install-doc: $(DocFiles)
    736831        test -z "$(DocInstallDir)" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)"
    737832        for file in $(DocFiles); do \
    738833          if test -f "$$file"; then dir=; else dir="$(srcdir)/"; fi; \
    739834          if test -f "$$dir$$file"; then $(INSTALL_DATA) "$$dir$$file" "$(DESTDIR)$(DocInstallDir)/$$file"; fi; \
    740         done
     835        done 
    741836
    742837uninstall-doc:
  • trunk/configure

    r2101 r2198  
    485485ac_subdirs_all="$ac_subdirs_all Osi"
    486486ac_subdirs_all="$ac_subdirs_all Clp"
    487 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS COIN_SKIP_PROJECTS subdirs coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     487ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS COIN_SKIP_PROJECTS subdirs coin_have_doxygen coin_have_latex coin_doxy_usedot coin_doxy_tagname coin_doxy_logname COIN_HAS_DOXYGEN_TRUE COIN_HAS_DOXYGEN_FALSE COIN_HAS_LATEX_TRUE COIN_HAS_LATEX_FALSE coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    488488ac_subst_files=''
    489489
     
    39253925fi
    39263926
    3927 # correct the LD variable in a build with MS or intel compiler
     3927# correct the LD variable in a build with MS or Intel-windows compiler
    39283928case "$CXX" in
    39293929  clang* ) ;;
     
    46114611
    46124612# correct the LD variable if we use the intel fortran compiler in windows
    4613 case "$F77" in
    4614   ifort* | */ifort* | IFORT* | */IFORT*)
    4615     LD=link
    4616     ;;
     4613case $build in
     4614  *-cygwin* | *-mingw*)
     4615    case "$F77" in
     4616      ifort* | */ifort* | IFORT* | */IFORT*)
     4617        LD=link
     4618      ;;
     4619    esac
     4620  ;;
    46174621esac
    46184622
     
    63936397*-*-irix6*)
    63946398  # Find out which ABI we are using.
    6395   echo '#line 6395 "configure"' > conftest.$ac_ext
     6399  echo '#line 6399 "configure"' > conftest.$ac_ext
    63966400  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    63976401  (eval $ac_compile) 2>&5
     
    83578361   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83588362   -e 's:$: $lt_compiler_flag:'`
    8359    (eval echo "\"\$as_me:8359: $lt_compile\"" >&5)
     8363   (eval echo "\"\$as_me:8363: $lt_compile\"" >&5)
    83608364   (eval "$lt_compile" 2>conftest.err)
    83618365   ac_status=$?
    83628366   cat conftest.err >&5
    8363    echo "$as_me:8363: \$? = $ac_status" >&5
     8367   echo "$as_me:8367: \$? = $ac_status" >&5
    83648368   if (exit $ac_status) && test -s "$ac_outfile"; then
    83658369     # The compiler can only warn and ignore the option if not recognized
     
    86258629   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86268630   -e 's:$: $lt_compiler_flag:'`
    8627    (eval echo "\"\$as_me:8627: $lt_compile\"" >&5)
     8631   (eval echo "\"\$as_me:8631: $lt_compile\"" >&5)
    86288632   (eval "$lt_compile" 2>conftest.err)
    86298633   ac_status=$?
    86308634   cat conftest.err >&5
    8631    echo "$as_me:8631: \$? = $ac_status" >&5
     8635   echo "$as_me:8635: \$? = $ac_status" >&5
    86328636   if (exit $ac_status) && test -s "$ac_outfile"; then
    86338637     # The compiler can only warn and ignore the option if not recognized
     
    87298733   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    87308734   -e 's:$: $lt_compiler_flag:'`
    8731    (eval echo "\"\$as_me:8731: $lt_compile\"" >&5)
     8735   (eval echo "\"\$as_me:8735: $lt_compile\"" >&5)
    87328736   (eval "$lt_compile" 2>out/conftest.err)
    87338737   ac_status=$?
    87348738   cat out/conftest.err >&5
    8735    echo "$as_me:8735: \$? = $ac_status" >&5
     8739   echo "$as_me:8739: \$? = $ac_status" >&5
    87368740   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    87378741   then
     
    1107411078  lt_status=$lt_dlunknown
    1107511079  cat > conftest.$ac_ext <<EOF
    11076 #line 11076 "configure"
     11080#line 11080 "configure"
    1107711081#include "confdefs.h"
    1107811082
     
    1117411178  lt_status=$lt_dlunknown
    1117511179  cat > conftest.$ac_ext <<EOF
    11176 #line 11176 "configure"
     11180#line 11180 "configure"
    1117711181#include "confdefs.h"
    1117811182
     
    1351813522   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1351913523   -e 's:$: $lt_compiler_flag:'`
    13520    (eval echo "\"\$as_me:13520: $lt_compile\"" >&5)
     13524   (eval echo "\"\$as_me:13524: $lt_compile\"" >&5)
    1352113525   (eval "$lt_compile" 2>conftest.err)
    1352213526   ac_status=$?
    1352313527   cat conftest.err >&5
    13524    echo "$as_me:13524: \$? = $ac_status" >&5
     13528   echo "$as_me:13528: \$? = $ac_status" >&5
    1352513529   if (exit $ac_status) && test -s "$ac_outfile"; then
    1352613530     # The compiler can only warn and ignore the option if not recognized
     
    1362213626   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1362313627   -e 's:$: $lt_compiler_flag:'`
    13624    (eval echo "\"\$as_me:13624: $lt_compile\"" >&5)
     13628   (eval echo "\"\$as_me:13628: $lt_compile\"" >&5)
    1362513629   (eval "$lt_compile" 2>out/conftest.err)
    1362613630   ac_status=$?
    1362713631   cat out/conftest.err >&5
    13628    echo "$as_me:13628: \$? = $ac_status" >&5
     13632   echo "$as_me:13632: \$? = $ac_status" >&5
    1362913633   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1363013634   then
     
    1519215196   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1519315197   -e 's:$: $lt_compiler_flag:'`
    15194    (eval echo "\"\$as_me:15194: $lt_compile\"" >&5)
     15198   (eval echo "\"\$as_me:15198: $lt_compile\"" >&5)
    1519515199   (eval "$lt_compile" 2>conftest.err)
    1519615200   ac_status=$?
    1519715201   cat conftest.err >&5
    15198    echo "$as_me:15198: \$? = $ac_status" >&5
     15202   echo "$as_me:15202: \$? = $ac_status" >&5
    1519915203   if (exit $ac_status) && test -s "$ac_outfile"; then
    1520015204     # The compiler can only warn and ignore the option if not recognized
     
    1529615300   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1529715301   -e 's:$: $lt_compiler_flag:'`
    15298    (eval echo "\"\$as_me:15298: $lt_compile\"" >&5)
     15302   (eval echo "\"\$as_me:15302: $lt_compile\"" >&5)
    1529915303   (eval "$lt_compile" 2>out/conftest.err)
    1530015304   ac_status=$?
    1530115305   cat out/conftest.err >&5
    15302    echo "$as_me:15302: \$? = $ac_status" >&5
     15306   echo "$as_me:15306: \$? = $ac_status" >&5
    1530315307   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1530415308   then
     
    1750317507   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1750417508   -e 's:$: $lt_compiler_flag:'`
    17505    (eval echo "\"\$as_me:17505: $lt_compile\"" >&5)
     17509   (eval echo "\"\$as_me:17509: $lt_compile\"" >&5)
    1750617510   (eval "$lt_compile" 2>conftest.err)
    1750717511   ac_status=$?
    1750817512   cat conftest.err >&5
    17509    echo "$as_me:17509: \$? = $ac_status" >&5
     17513   echo "$as_me:17513: \$? = $ac_status" >&5
    1751017514   if (exit $ac_status) && test -s "$ac_outfile"; then
    1751117515     # The compiler can only warn and ignore the option if not recognized
     
    1777117775   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1777217776   -e 's:$: $lt_compiler_flag:'`
    17773    (eval echo "\"\$as_me:17773: $lt_compile\"" >&5)
     17777   (eval echo "\"\$as_me:17777: $lt_compile\"" >&5)
    1777417778   (eval "$lt_compile" 2>conftest.err)
    1777517779   ac_status=$?
    1777617780   cat conftest.err >&5
    17777    echo "$as_me:17777: \$? = $ac_status" >&5
     17781   echo "$as_me:17781: \$? = $ac_status" >&5
    1777817782   if (exit $ac_status) && test -s "$ac_outfile"; then
    1777917783     # The compiler can only warn and ignore the option if not recognized
     
    1787517879   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1787617880   -e 's:$: $lt_compiler_flag:'`
    17877    (eval echo "\"\$as_me:17877: $lt_compile\"" >&5)
     17881   (eval echo "\"\$as_me:17881: $lt_compile\"" >&5)
    1787817882   (eval "$lt_compile" 2>out/conftest.err)
    1787917883   ac_status=$?
    1788017884   cat out/conftest.err >&5
    17881    echo "$as_me:17881: \$? = $ac_status" >&5
     17885   echo "$as_me:17885: \$? = $ac_status" >&5
    1788217886   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1788317887   then
     
    2056720571    *-mingw*)
    2056820572      CYGPATH_W=echo
    20569       mydos2unix=
    2057020573      ;;
    2057120574  esac
     
    2222922232fi
    2223022233
     22234# Extract the first word of "latex", so it can be a program name with args.
     22235set dummy latex; ac_word=$2
     22236echo "$as_me:$LINENO: checking for $ac_word" >&5
     22237echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     22238if test "${ac_cv_prog_coin_have_latex+set}" = set; then
     22239  echo $ECHO_N "(cached) $ECHO_C" >&6
     22240else
     22241  if test -n "$coin_have_latex"; then
     22242  ac_cv_prog_coin_have_latex="$coin_have_latex" # Let the user override the test.
     22243else
     22244as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     22245for as_dir in $PATH
     22246do
     22247  IFS=$as_save_IFS
     22248  test -z "$as_dir" && as_dir=.
     22249  for ac_exec_ext in '' $ac_executable_extensions; do
     22250  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     22251    ac_cv_prog_coin_have_latex="yes"
     22252    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     22253    break 2
     22254  fi
     22255done
     22256done
     22257
     22258  test -z "$ac_cv_prog_coin_have_latex" && ac_cv_prog_coin_have_latex="no"
     22259fi
     22260fi
     22261coin_have_latex=$ac_cv_prog_coin_have_latex
     22262if test -n "$coin_have_latex"; then
     22263  echo "$as_me:$LINENO: result: $coin_have_latex" >&5
     22264echo "${ECHO_T}$coin_have_latex" >&6
     22265else
     22266  echo "$as_me:$LINENO: result: no" >&5
     22267echo "${ECHO_T}no" >&6
     22268fi
     22269
    2223122270
    2223222271# Look for the dot tool from the graphviz package, unless the user has
     
    2229322332
    2229422333
     22334
     22335if test $coin_have_doxygen = yes; then
     22336  COIN_HAS_DOXYGEN_TRUE=
     22337  COIN_HAS_DOXYGEN_FALSE='#'
     22338else
     22339  COIN_HAS_DOXYGEN_TRUE='#'
     22340  COIN_HAS_DOXYGEN_FALSE=
     22341fi
     22342
     22343
     22344
     22345if test $coin_have_latex = yes; then
     22346  COIN_HAS_LATEX_TRUE=
     22347  COIN_HAS_LATEX_FALSE='#'
     22348else
     22349  COIN_HAS_LATEX_TRUE='#'
     22350  COIN_HAS_LATEX_FALSE=
     22351fi
     22352
     22353
    2229522354# Process the list of project names and massage them into possible doxygen
    2229622355# doc'n directories. Prefer 1) classic external, source processed using
     
    2231222371  doxytag=${lc_proj}_doxy.tag
    2231322372  doxyfound=no
    22314   for chkProj in $coin_subdirs ; do
    22315     if test "$chkProj" = "$proj" ; then
    22316       # proj will be configured, hence doxydoc present in build tree
    22317       doxysrcdir="${srcdir}/${proj}"
    22318       # AC_MSG_NOTICE([Considering $doxysrcdir (base)])
    22319       if test -d "$doxysrcdir" ; then
    22320         # with a doxydoc directory?
    22321         doxydir="$doxysrcdir/doxydoc"
    22322         # AC_MSG_NOTICE([Considering $doxydir (base)])
    22323         # AC_MSG_NOTICE([Subdirs: $coin_subdirs)])
    22324         if test -d "$doxydir" ; then
    22325           # use tag file; don't process source
    22326           eval doxydir="`pwd`/${proj}/doxydoc"
    22327           coin_doxy_tagfiles="$coin_doxy_tagfiles $doxydir/$doxytag=$doxydir/html"
    22328           echo "$as_me:$LINENO: result: $doxydir (tag)" >&5
     22373  # proj will be configured, hence doxydoc present in build tree
     22374  doxysrcdir="${srcdir}/../${proj}"
     22375  # AC_MSG_NOTICE([Considering $doxysrcdir (base)])
     22376  if test -d "$doxysrcdir" ; then
     22377    # with a doxydoc directory?
     22378    doxydir="$doxysrcdir/doxydoc"
     22379    # AC_MSG_NOTICE([Considering $doxydir (base)])
     22380    # AC_MSG_NOTICE([Subdirs: $coin_subdirs)])
     22381    if test -d "$doxydir" ; then
     22382      # use tag file; don't process source
     22383      doxydir="../${proj}/doxydoc"
     22384      coin_doxy_tagfiles="$coin_doxy_tagfiles $doxydir/$doxytag=../../$doxydir/html"
     22385      echo "$as_me:$LINENO: result: $doxydir (tag)" >&5
    2232922386echo "${ECHO_T}$doxydir (tag)" >&6
    22330           coin_doxy_excludes="$coin_doxy_excludes */${proj}"
    22331         else
    22332           # will process the source -- nothing further to be done here
    22333           echo "$as_me:$LINENO: result: $doxysrcdir (src)" >&5
     22387      coin_doxy_excludes="$coin_doxy_excludes */${proj}"
     22388    else
     22389      # will process the source -- nothing further to be done here
     22390      echo "$as_me:$LINENO: result: $doxysrcdir (src)" >&5
    2233422391echo "${ECHO_T}$doxysrcdir (src)" >&6
    22335         fi
    22336         doxyfound=yes
    22337       fi
    2233822392    fi
    22339   done
     22393    doxyfound=yes
     22394  fi
    2234022395  # Not built, fall back to installed tag file
    2234122396  if test $doxyfound = no ; then
     
    2260222657Usually this means the macro was only invoked conditionally." >&5
    2260322658echo "$as_me: error: conditional \"DEPENDENCY_LINKING\" was never defined.
     22659Usually this means the macro was only invoked conditionally." >&2;}
     22660   { (exit 1); exit 1; }; }
     22661fi
     22662if test -z "${COIN_HAS_DOXYGEN_TRUE}" && test -z "${COIN_HAS_DOXYGEN_FALSE}"; then
     22663  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_DOXYGEN\" was never defined.
     22664Usually this means the macro was only invoked conditionally." >&5
     22665echo "$as_me: error: conditional \"COIN_HAS_DOXYGEN\" was never defined.
     22666Usually this means the macro was only invoked conditionally." >&2;}
     22667   { (exit 1); exit 1; }; }
     22668fi
     22669if test -z "${COIN_HAS_LATEX_TRUE}" && test -z "${COIN_HAS_LATEX_FALSE}"; then
     22670  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_LATEX\" was never defined.
     22671Usually this means the macro was only invoked conditionally." >&5
     22672echo "$as_me: error: conditional \"COIN_HAS_LATEX\" was never defined.
    2260422673Usually this means the macro was only invoked conditionally." >&2;}
    2260522674   { (exit 1); exit 1; }; }
     
    2323923308s,@subdirs@,$subdirs,;t t
    2324023309s,@coin_have_doxygen@,$coin_have_doxygen,;t t
     23310s,@coin_have_latex@,$coin_have_latex,;t t
    2324123311s,@coin_doxy_usedot@,$coin_doxy_usedot,;t t
    2324223312s,@coin_doxy_tagname@,$coin_doxy_tagname,;t t
    2324323313s,@coin_doxy_logname@,$coin_doxy_logname,;t t
     23314s,@COIN_HAS_DOXYGEN_TRUE@,$COIN_HAS_DOXYGEN_TRUE,;t t
     23315s,@COIN_HAS_DOXYGEN_FALSE@,$COIN_HAS_DOXYGEN_FALSE,;t t
     23316s,@COIN_HAS_LATEX_TRUE@,$COIN_HAS_LATEX_TRUE,;t t
     23317s,@COIN_HAS_LATEX_FALSE@,$COIN_HAS_LATEX_FALSE,;t t
    2324423318s,@coin_doxy_tagfiles@,$coin_doxy_tagfiles,;t t
    2324523319s,@coin_doxy_excludes@,$coin_doxy_excludes,;t t
Note: See TracChangeset for help on using the changeset viewer.